Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest Class Referencesealed
Inheritance diagram for Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest:
[legend]

## Public Member Functions
| ExtensionsTest ()
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Protected Member Functions
override void | Execute ()
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Private Member Functions
IDictionary< string, string[]> | GetExtensions ()

## Private Attributes
readonly Dictionary< string, string[]> | _extensions
readonly Dictionary< string, string[]> | _extensionsWindows
readonly Dictionary< string, string[]> | _extensionsLinux
readonly Dictionary< string, string[]> | _extensionsAndroid
readonly Dictionary< string, string[]> | _extensionsMacOSX
readonly Dictionary< string, string[]> | _extensionsIOS
readonly Dictionary< string, string[]> | _extensionsJavaCard

## Additional Inherited Members
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Constructor & Destructor Documentation

## ◆ ExtensionsTest()

Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest.ExtensionsTest | ( |  | ) |

## Member Function Documentation

## ◆ Execute()

override void Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest.Execute | ( |  | ) |
| protected

Here is the call graph for this function:

## ◆ GetExtensions()

IDictionary< string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest.GetExtensions | ( |  | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ _extensions

readonly Dictionary<string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest._extensions
| private

## ◆ _extensionsAndroid

readonly Dictionary<string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest._extensionsAndroid
| private

Initial value:
= new Dictionary<string, string[]>
{
{".so", new[] {".*"}},
{".apk", new[] {".*"}},
{".aar", new[] {".*"}},
{".mk", new[] {".*Android.mk"}},
{".jks", new[] {".*release.jks"}},
{".sh", new[] {".*"}}
}

## ◆ _extensionsIOS

readonly Dictionary<string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest._extensionsIOS
| private

Initial value:
= new Dictionary<string, string[]>
{
{"", new[] {".*Makefile", ".*x86_64.*", ".*arm64.*"}},
{".dylib", new[] {".*"}},
{".dSYM", new[] {".*"}},
{".sh", new[] {".*"}},
{".swift", new[] {".*"}},
{".swiftdoc", new[] {".*"}},
{".swiftinterface", new[] {".*"}},
{".xib", new[] {".*"}},
{".plist", new[] {".*"}},
{".storyboard", new[] {".*"}},
{".strings", new[] {".*"}},
{".entitlements", new[] {".*"}},
{".xcscheme", new[] {".*"}},
{".resolved", new[] {".*"}},
{".xcworkspacedata", new[] {".*"}},
{".pbxproj", new[] {".*"} },
{".xcconfig", new[] {".*"} },
{".ipa", new[] {".*"} }
}

## ◆ _extensionsJavaCard

readonly Dictionary<string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest._extensionsJavaCard
| private

Initial value:
= new Dictionary<string, string[]>
{
{".jcsh", new[] {".*"}},
{".jcsh.log", new[] {".*"}},
{".exp", new [] { ".*"}},
{".cap", new [] { ".*"}}
}

## ◆ _extensionsLinux

readonly Dictionary<string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest._extensionsLinux
| private

Initial value:
= new Dictionary<string, string[]>
{
{"", new[] {".*Makefile", ".*x86.*", ".*x86_64.*", ".*arm64.*", ".*armel.*", ".*armhf.*"}},
{".so", new[] {".*"}},
{".sh", new[] {".*"}}
}

## ◆ _extensionsMacOSX

readonly Dictionary<string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest._extensionsMacOSX
| private

Initial value:
= new Dictionary<string, string[]>
{
{"", new[] {".*Makefile", ".*x86_64.*", ".*arm64.*"}},
{".dylib", new[] {".*"}},
{".dSYM", new[] {".*"}},
{".sh", new[] {".*"}}
}

## ◆ _extensionsWindows

readonly Dictionary<string, string[]> Zwipe.Test.Tools.Tests.Integrity.ExtensionsTest._extensionsWindows
| private

Initial value:
= new Dictionary<string, string[]>
{
{".dll", new[] {".*"}},
{".exe", new[] {".*"}},
{".lib", new[] {".*"}},
{".bat", new[] {".*"}}
}

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Integrity/ExtensionsTest.cs